import * as React from "react";
declare class TextListEditor extends React.Component<any, any> {
    static propTypes: {
        options: any;
        layout: any;
        onChange: any;
    };
    static defaultProps: any;
    state: any;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    onChange: (arg1: number, arg2: React.ChangeEvent<HTMLInputElement>) => void;
    onKeyDown: (arg1: number, arg2: React.KeyboardEvent) => void;
    render(): React.ReactNode;
}
export default TextListEditor;
